<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>immultiply</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imlincomb.html">&lt;&lt; imlincomb</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imsubtract.html">imsubtract &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a> &gt; immultiply</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">immultiply</h1>
    <p class="refpurpose">Multiply two images or multiply an image by an constant.</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">imout</span><span class="default"> = </span><span class="functionid">immultiply</span><span class="default">(</span><span class="default">im1</span><span class="default">, </span><span class="default">im2</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">im1 :</span>
      <dd><p class="para">Input image.</p></dd></dt>
   <dt><span class="term">im2 :</span>
      <dd><p class="para">Input image with the same size and same class with im1 , or a double scalar.</p></dd></dt>
   <dt><span class="term">imout :</span>
      <dd><p class="para">The product of im1 and im2 .</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">If im1 and im2 are images with the same size and same class, immultiply multiplies each element in im1 by the corresponding one in im2.</p>
   <p class="para">If im2 is a double scalar, the element in imout is the product of the corresponding one in im1 with the double scalar. imout has the same size and class with im1.</p>
   <p class="para">If im1 is an integer matrix, the elements in the output matrix imout that exceed the range of the integer type will be truncated.</p>
   <p class="para">Supported classes: INT8, UINT8, INT16, UINT16, INT32, DOUBLE.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">im1</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/</span><span class="scilabstring">&#0034;</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">baboon.png</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">im2</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/</span><span class="scilabstring">&#0034;</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0039;</span><span class="scilabstring">peppers.png</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">ims1</span> <span class="scilaboperator">=</span> <span class="scilabid">immultiply</span><span class="scilabopenclose">(</span><span class="scilabid">im1</span><span class="scilabdefault">,</span> <span class="scilabid">im2</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">ims2</span> <span class="scilaboperator">=</span> <span class="scilabid">immultiply</span><span class="scilabopenclose">(</span><span class="scilabid">im1</span><span class="scilabdefault">,</span> <span class="scilabnumber">0.6</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imabsdiff.html" class="link">imabsdiff</a></li>
   <li class="member"><a href="imadd.html" class="link">imadd</a></li>
   <li class="member"><a href="imsubtract.html" class="link">imsubtract</a></li>
   <li class="member"><a href="imdivide.html" class="link">imdivide</a></li>
   <li class="member"><a href="imcomplement.html" class="link">imcomplement</a></li>
   <li class="member"><a href="imlincomb.html" class="link">imlincomb</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imlincomb.html">&lt;&lt; imlincomb</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_471e076252aa90400cc5fd4ddf072a54.html">Image Arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imsubtract.html">imsubtract &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
